QuantLib: MCAmericanBasketEngine< RNG > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
MCAmericanBasketEngine< RNG > Class Template Reference
Pricing engines » Basket option engines

least-square Monte Carlo engine More...

`#include <ql/pricingengines/basket/mcamericanbasketengine.hpp>`

Inheritance diagram for MCAmericanBasketEngine< RNG >:
[legend]

## Public Member Functions
| MCAmericanBasketEngine (const boost::shared_ptr< StochasticProcessArray > &, Size timeSteps, Size timeStepsPerYear, bool brownianBridge, bool antitheticVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed, Size nCalibrationSamples=Null< Size >())
Public Member Functions inherited from MCLongstaffSchwartzEngine< BasketOption::engine, MultiVariate, RNG >
| MCLongstaffSchwartzEngine (const boost::shared_ptr< StochasticProcess > &process, Size timeSteps, Size timeStepsPerYear, bool brownianBridge, bool antitheticVariate, bool controlVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed, Size nCalibrationSamples=Null< Size >())
void | calculate () const
Public Member Functions inherited from GenericEngine< BasketOption::arguments, BasketOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from McSimulation< MultiVariate, RNG, Statistics >
result_type | value (Real tolerance, Size maxSamples=QL_MAX_INTEGER, Size minSamples=1023) const
| add samples until the required absolute tolerance is reached
result_type | valueWithSamples (Size samples) const
| simulate a fixed number of samples
result_type | errorEstimate () const
| error estimated using the samples simulated so far
const stats_type & | sampleAccumulator (void) const
| access to the sample accumulator for richer statistics
void | calculate (Real requiredTolerance, Size requiredSamples, Size maxSamples) const
| basic calculate method provided to inherited pricing engines

## Protected Member Functions
boost::shared_ptr< LongstaffSchwartzPathPricer< MultiPath > > | lsmPathPricer () const
Protected Member Functions inherited from MCLongstaffSchwartzEngine< BasketOption::engine, MultiVariate, RNG >
TimeGrid | timeGrid () const
boost::shared_ptr< path_pricer_type > | pathPricer () const
boost::shared_ptr< path_generator_type > | pathGenerator () const
Protected Member Functions inherited from McSimulation< MultiVariate, RNG, Statistics >
| McSimulation (bool antitheticVariate, bool controlVariate)
virtual boost::shared_ptr< path_pricer_type > | controlPathPricer () const
virtual boost::shared_ptr< path_generator_type > | controlPathGenerator () const
virtual boost::shared_ptr< PricingEngine > | controlPricingEngine () const
virtual result_type | controlVariateValue () const

## Additional Inherited Members
Public Types inherited from MCLongstaffSchwartzEngine< BasketOption::engine, MultiVariate, RNG >
typedef MultiVariate< RNG >::path_type | path_type
typedef McSimulation< MultiVariate, RNG, Statistics >::stats_type | stats_type
typedef McSimulation< MultiVariate, RNG, Statistics >::path_pricer_type | path_pricer_type
typedef McSimulation< MultiVariate, RNG, Statistics >::path_generator_type | path_generator_type
Public Types inherited from McSimulation< MultiVariate, RNG, Statistics >
typedef MonteCarloModel< MultiVariate, RNG, Statistics >::path_generator_type | path_generator_type
typedef MonteCarloModel< MultiVariate, RNG, Statistics >::path_pricer_type | path_pricer_type
typedef MonteCarloModel< MultiVariate, RNG, Statistics >::stats_type | stats_type
typedef MonteCarloModel< MultiVariate, RNG, Statistics >::result_type | result_type
Static Protected Member Functions inherited from McSimulation< MultiVariate, RNG, Statistics >
static Real | maxError (const Sequence &sequence)
static Real | maxError (Real error)
Protected Attributes inherited from MCLongstaffSchwartzEngine< BasketOption::engine, MultiVariate, RNG >
boost::shared_ptr< StochasticProcess > | process_
const Size | timeSteps_
const Size | timeStepsPerYear_
const bool | brownianBridge_
const Size | requiredSamples_
const Real | requiredTolerance_
const Size | maxSamples_
const Size | seed_
const Size | nCalibrationSamples_
boost::shared_ptr< LongstaffSchwartzPathPricer< path_type > > | pathPricer_
Protected Attributes inherited from GenericEngine< BasketOption::arguments, BasketOption::results >
BasketOption::arguments | arguments_
BasketOption::results | results_
Protected Attributes inherited from McSimulation< MultiVariate, RNG, Statistics >
boost::shared_ptr< MonteCarloModel< MultiVariate, RNG, Statistics > > | mcModel_
bool | antitheticVariate_
bool | controlVariate_

## Detailed Description

### template<class RNG = PseudoRandom>
class QuantLib::MCAmericanBasketEngine< RNG >

least-square Monte Carlo engine

Warning:
  This method is intrinsically weak for out-of-the-money options.